Enviar Contato
curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messaging_product": "<string>",
"to": "<string>",
"type": "<string>",
"context": {
"context.message_id": "<string>"
},
"contacts": [
{}
]
}
'import requests
url = "https://apis.vectalk.com.br/api/messages"
payload = {
"messaging_product": "<string>",
"to": "<string>",
"type": "<string>",
"context": { "context.message_id": "<string>" },
"contacts": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messaging_product: '<string>',
to: '<string>',
type: '<string>',
context: {'context.message_id': '<string>'},
contacts: [{}]
})
};
fetch('https://apis.vectalk.com.br/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Mensagens
Enviar Contato
Envia uma mensagem com informações de contato via WhatsApp.
POST
/
messages
Enviar Contato
Parâmetros
Body
string
default:"whatsapp"
required
Sempre
"whatsapp".string
required
Número do destinatário no formato
wa_id.string
default:"contacts"
required
Sempre
"contacts".object
Para responder uma mensagem específica.
Show Campos
Show Campos
string
required
ID da mensagem a ser respondida.
array
required
Array de objetos de contato.
Exemplo
{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "contacts",
"contacts": [
{
"addresses": [
{
"street": "Av. Paulista, 1000",
"city": "São Paulo",
"state": "SP",
"zip": "01310-100",
"country": "Brasil",
"country_code": "BR",
"type": "WORK"
}
],
"birthday": "1990-05-15",
"emails": [
{
"email": "contato@empresa.com",
"type": "WORK"
}
],
"name": {
"formatted_name": "João Silva",
"first_name": "João",
"last_name": "Silva"
},
"org": {
"company": "Empresa LTDA",
"department": "Vendas",
"title": "Gerente"
},
"phones": [
{
"phone": "+5511999999999",
"wa_id": "5511999999999",
"type": "WORK"
}
],
"urls": [
{
"url": "https://empresa.com",
"type": "WORK"
}
]
}
]
}
Campos do Contato
| Campo | Tipo | Descrição |
|---|---|---|
name.formatted_name | string | Nome formatado (obrigatório) |
name.first_name | string | Primeiro nome |
name.last_name | string | Sobrenome |
name.middle_name | string | Nome do meio |
name.prefix | string | Prefixo (Sr., Dr.) |
name.suffix | string | Sufixo (Jr., III) |
phones[].phone | string | Número de telefone |
phones[].wa_id | string | WhatsApp ID |
phones[].type | string | HOME ou WORK |
emails[].email | string | |
emails[].type | string | HOME ou WORK |
addresses[].street | string | Rua |
addresses[].city | string | Cidade |
addresses[].state | string | Estado |
addresses[].zip | string | CEP |
addresses[].country | string | País |
addresses[].country_code | string | Código do país |
addresses[].type | string | HOME ou WORK |
org.company | string | Empresa |
org.department | string | Departamento |
org.title | string | Cargo |
birthday | string | Data de nascimento (YYYY-MM-DD) |
urls[].url | string | URL |
urls[].type | string | HOME ou WORK |
Resposta
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
⌘I